Asset Price

Retrieve real-time or historical pricing data for supported assets. You can query for the single latest price or a chronologically ordered list of prices within a specific date range.

Get Asset Price

GET /asset/price

Headers

Header / TypeConditionDescription
Authorizationstring
required
Bearer token retrieved from the Authentication endpoint.

Query Parameters

Field / TypeConditionDescription
assetstring enum
required
The asset type. Value: gold or silver.
typestring enum
required
Query mode. last for latest price, list for historical range.
start_timestring
required
optional
RFC3339 datetime. Sample: 2026-03-25T00:00:00+07:00.
end_timestring
required
optional
RFC3339 datetime. Sample: 2026-03-25T10:00:00+07:00.
frequencystring enum
optional
Specifies the price aggregation frequency to return. Value: last_daily_price.
ℹ️

Note:

  • The required / optional condition for start_time and end_time fields is based on your query type (required if type=list).
  • The frequency field is only applicable when the type=list. The frequency=last_daily_price returns the latest available price recorded for each day.

Response

Sample Response (type=last)

json
{
  "created_at": "2026-05-06T12:02:00+07:00",
  "buy_price" : 2840000,
  "sell_price": 2840000
}

Sample Response (type=list)

json
[
  {
    "created_at": "2026-05-06T12:02:00+07:00",
    "buy_price" : 2842000,
    "sell_price": 2832000
  },
  {
    "created_at": "2026-05-06T12:01:00+07:00",
    "buy_price" : 2841000,
    "sell_price": 2831000
  },
  {
    "created_at": "2026-05-06T12:00:00+07:00",
    "buy_price" : 2840000,
    "sell_price": 2830000
  }
]

Sample Response (type=list, frequency=last_daily_price)

json
[
  {
    "created_at": "2026-05-06T12:00:00+07:00",
    "buy_price" : 2842000,
    "sell_price": 2832000
  },
  {
    "created_at": "2026-05-04T23:59:00+07:00",
    "buy_price" : 2841000,
    "sell_price": 2831000
  },
  {
    "created_at": "2026-05-03T23:59:00+07:00",
    "buy_price" : 2840000,
    "sell_price": 2830000
  }
]